Package twisted :: Package internet :: Module protocol :: Class DatagramProtocol

[show private | hide private]
[frames | no frames]

## Class DatagramProtocol

Known Subclasses:
  `ConnectedDatagramProtocol`, `DNSDatagramProtocol`

Protocol for datagram-oriented transport, e.g. UDP.

Method Summary
| ``datagramReceived`(self, datagram, addr)` Called when a datagram is received.
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
`string` | `noisy`
`int` | `numPorts`
`None` | `transport`

Method Details

### datagramReceived(self, datagram, addr)

Called when a datagram is received.

  Parameters:
    `datagram` - the string received from the transport.
    `addr` - tuple of source of datagram.

### doStart(self)

Make sure startProtocol is called.

### doStop(self)

Make sure stopProtocol is called.

### makeConnection(self, transport)

Make a connection to a transport and a server.

This sets the 'transport' attribute of this DatagramProtocol, and calls the doStart() callback.

### startProtocol(self)

Called when a transport is connected to this protocol.

Will only be called once, even if multiple ports are connected.

### stopProtocol(self)

Called when the transport is disconnected.

Will only be called once, after all ports are disconnected.

Class Variable Details

### noisy

  Type:
    `string`
  Value:

        'sure, why not'

### numPorts

  Type:
    `int`
  Value:

        0

### transport

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net